<div class="row">
    <div class="col-md-12 mb-4">
        <button (click)="createFormGroup()" type="button" class="btn btn-sm btn-custom" data-toggle="modal"
            data-target="#addNewHistory" data-backdrop="static" data-keyboard="false">Add New History </button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body p-4">
        <form class="user filterForm pb-4" [formGroup]="filterForm">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="machine" class="form-control dropdown"
                        (change)="getServiceHistory()">
                        <option value="" selected>Select Machine</option>
                        <option *ngFor="let m of machines" value="{{m.machine_id}}">{{m.serial_number}}
                        </option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Machine/Serial Number</th>
                        <th>Date</th>
                        <th>Status</th>
                        <th>Remarks</th>
                        <th>Added By</th>
                        <th>Added On</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let m of history | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{m.serial_number}}</td>
                        <td>{{m.date}}</td>
                        <td>{{m.status}}</td>
                        <td>{{m.remark}}</td>
                        <td>{{m.added_by}}</td>
                        <td>{{m.created_on}}</td>
                        <td>
                            <span><i data-toggle="modal" data-target="#addNewHistory" (click)="editHistory(m)"
                                    class="fa fa-edit text-primary mr-2" aria-hidden="true"></i></span>
                        </td>
                    </tr>
                    <tr *ngIf="history==''">
                        <td colspan="7" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="history!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>

<!-----------Add New Buyer Form Modal------------------------>
<div id="addNewHistory" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add / Edit Service </h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditServiceHostory()" [formGroup]="NewServiceForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3">
                            <label>Machine:</label>
                                <select formControlName="machine" class="form-control dropdown" >
                                    <option *ngFor="let m of machines" value="{{m.machine_id}}">{{m.serial_number}}
                                    </option>
                                </select>
                            <div *ngIf="submitted && formControls.machine.errors" class="errors">
                                <div *ngIf="formControls.machine.errors.required">Machine is
                                    required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-12 mb-3">
                            <label>Date:</label>
                            <input formControlName="date" type="date" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.date.errors" class="errors">
                                <div *ngIf="formControls.date.errors.required">Date is required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-12 mb-3">
                            <label>Status:</label>
                            <select formControlName="status" class="form-control dropdown" >
                                <option value="Working">Working</option>
                                <option value="Not Working">Not Working</option>
                            </select>
                            <div *ngIf="submitted && formControls.status.errors" class="errors">
                                <div *ngIf="formControls.status.errors.required">Status is
                                    required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-12 mb-3">
                            <label>Remark:</label>
                            <textarea formControlName="remark" type="text" class="form-control form-control-user"></textarea>
                            <div *ngIf="submitted && formControls.remark.errors" class="errors">
                                <div *ngIf="formControls.remark.errors.required">Remark is required</div>
                            </div>
                        </div>
                    </div>

                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3">
                        </div>
                        <div class="col-sm-8 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>